<?php

declare(strict_types=1);

namespace App\Administration\Domain\Exception;

use App\Administration\Domain\Model\User\UserId;
use DomainException;

use function sprintf;

final class LiaisonDejaExistanteException extends DomainException
{
    public static function pourParentEtEleve(UserId $guardianId, UserId $studentId): self
    {
        return new self(sprintf(
            'Le parent %s est déjà lié à l\'élève %s.',
            $guardianId,
            $studentId,
        ));
    }
}
